Skip to main content
PUT
/
contacts
/
{id}
Update a contact
curl --request PUT \
  --url https://grosh.muathye.com/api/contacts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "phone": "<string>",
  "email": "[email protected]",
  "notes": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "phone": "<string>",
  "email": "[email protected]",
  "notes": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
name
string
required
Maximum string length: 150
phone
string | null
Maximum string length: 50
email
string<email> | null
Maximum string length: 150
notes
string | null

Response

200 - application/json

Successful response

id
string
name
string
phone
string | null
email
string<email> | null
notes
string | null
created_at
string<date-time> | null
updated_at
string<date-time> | null
deleted_at
string<date-time> | null